# Uses of Interface
org.opensaml.xmlsec.signature.X509Data

Packages that use X509Data
Package
Description
org.opensaml.xmlsec.keyinfo
Classes in support of processing XML Signature KeyInfo material.
org.opensaml.xmlsec.keyinfo.impl
Interfaces and classes for working with XML KeyInfo elements.
org.opensaml.xmlsec.keyinfo.impl.provider
Specific implementations of `KeyInfoProvider`.
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of X509Data in org.opensaml.xmlsec.keyinfo

Methods in org.opensaml.xmlsec.keyinfo with parameters of type X509Data
Modifier and Type
Method
Description
`static List<X509Certificate>`
KeyInfoSupport.`getCertificates(X509Data x509Data)`
Get a list of the Java `X509Certificate` within the given `X509Data`.
`static List<X509CRL>`
KeyInfoSupport.`getCRLs(X509Data x509Data)`
Get a list of the Java `X509CRL`s within the given `X509Data`.

## Uses of X509Data in org.opensaml.xmlsec.keyinfo.impl

Fields in org.opensaml.xmlsec.keyinfo.impl with type parameters of type X509Data
Modifier and Type
Field
Description
`private final XMLObjectBuilder<X509Data>`
X509KeyInfoGeneratorFactory.X509KeyInfoGenerator.`x509DataBuilder`
Builder for X509Data objects.
Methods in org.opensaml.xmlsec.keyinfo.impl with parameters of type X509Data
Modifier and Type
Method
Description
`protected void`
X509KeyInfoGeneratorFactory.X509KeyInfoGenerator.`processCertX509DataOptions(X509Data x509Data, X509Certificate cert)`
Process the options related to generation of child elements of X509Data based on certificate data.
`protected void`
X509KeyInfoGeneratorFactory.X509KeyInfoGenerator.`processCertX509Digest(X509Data x509Data, X509Certificate cert)`
Process the options related to generation of the X509Digest child element of X509Data based on certificate data.
`protected void`
X509KeyInfoGeneratorFactory.X509KeyInfoGenerator.`processCertX509IssuerSerial(X509Data x509Data, X509Certificate cert)`
Process the options related to generation of the X509IssuerSerial child element of X509Data based on certificate data.
`protected void`
X509KeyInfoGeneratorFactory.X509KeyInfoGenerator.`processCertX509SKI(X509Data x509Data, X509Certificate cert)`
Process the options related to generation of the X509SKI child element of X509Data based on certificate data.
`protected void`
X509KeyInfoGeneratorFactory.X509KeyInfoGenerator.`processCertX509SubjectName(X509Data x509Data, X509Certificate cert)`
Process the options related to generation of the X509SubjectDN child element of X509Data based on certificate data.
`protected void`
X509KeyInfoGeneratorFactory.X509KeyInfoGenerator.`processCRLs(KeyInfo keyInfo, X509Data x509Data, X509Credential credential)`
Process the value of `X509Credential.getCRLs()`.
`protected void`
X509KeyInfoGeneratorFactory.X509KeyInfoGenerator.`processEntityCertificate(KeyInfo keyInfo, X509Data x509Data, X509Credential credential)`
Process the value of `X509Credential.getEntityCertificate()`.
`protected void`
X509KeyInfoGeneratorFactory.X509KeyInfoGenerator.`processEntityCertificateChain(KeyInfo keyInfo, X509Data x509Data, X509Credential credential)`
Process the value of `X509Credential.getEntityCertificateChain()`.

## Uses of X509Data in org.opensaml.xmlsec.keyinfo.impl.provider

Methods in org.opensaml.xmlsec.keyinfo.impl.provider with parameters of type X509Data
Modifier and Type
Method
Description
`private List<X509Certificate>`
InlineX509DataProvider.`extractCertificates(X509Data x509Data)`
Extract certificates from the X509Data.
`private List<X509CRL>`
InlineX509DataProvider.`extractCRLs(X509Data x509Data)`
Extract CRLs from the X509Data.
`protected X509Certificate`
InlineX509DataProvider.`findEntityCert(List<X509Certificate> certs, X509Data x509Data, PublicKey resolvedKey)`
Find the end-entity cert in the list of certs contained in the X509Data.

## Uses of X509Data in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return types with arguments of type X509Data
Modifier and Type
Method
Description
`List<X509Data>`
KeyInfo.`getX509Datas()`
Get the list of X509Data child elements.

## Uses of X509Data in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement X509Data
Modifier and Type
Class
Description
`class`
`X509DataImpl`
Concrete implementation of `X509Data`.
Methods in org.opensaml.xmlsec.signature.impl that return X509Data
Modifier and Type
Method
Description
`X509Data`
X509DataBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`X509Data`
X509DataBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xmlsec.signature.impl that return types with arguments of type X509Data
Modifier and Type
Method
Description
`List<X509Data>`
KeyInfoImpl.`getX509Datas()`
Get the list of X509Data child elements.